﻿body {
    font-family: Roboto Condensed;
}

.hidden {
    display: none;
}

.header {
    font-family: Oswald;
    /*    background-color: #02365d;*/
    background-color: #3da536;
    /*    height: 56px;*/
    color: #fff;
    font-size: 2em;
    text-transform: uppercase;
}

a.header-logo {
    background-image: url(../img/logo.png);
    height: 48px;
    width: 48px;
    display: inline-block;
    background-size: contain;
    margin: 4px;
    vertical-align: middle;
}

.tool {
    width: 48px;
    float: right;
    cursor: pointer;
    margin: 4px;
    fill: #f9df74;
    stroke: #f9df74;
    stroke-width: 0;
    border-radius: 6px;
}

    .tool.invert {
        background-color: #f9df74;
        fill: #02365d;
        stroke: #02365d;
    }

        .tool.invert:hover, .tool.invert.active {
            background-color: #02365d;
            fill: #f9df74;
            stroke: #f9df74;
        }

    .tool.nostroke, .tool.nostroke:hover {
        stroke: none;
    }

    .tool:hover, .tool.active {
        background-color: #f9df74;
        fill: #02365d;
        stroke: #02365d;
    }

.tool-menu {
    position: absolute;
    padding: 8px;
    border: #02365d solid 1px;
    background-color: #fff;
    display: none;
}

    .tool-menu button {
        display: block;
        text-wrap-mode: nowrap;
        width: 100%;
        margin-bottom: .4em;
    }

        .tool-menu button:last-child {
            margin-bottom: 0;
        }

    .tool-menu[data-tool-menu="layers"] ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

        .tool-menu[data-tool-menu="layers"] ul li {
            margin-bottom: 4px;
        }

            .tool-menu[data-tool-menu="layers"] ul li input {
                margin-right: 4px;
            }

    .tool-menu[data-tool-menu="basemap"] table {
        float: left;
        text-align: center;
        border-collapse: collapse;
        cursor: pointer;
        width: 116px;
        border-radius: 6px;
    }

        .tool-menu[data-tool-menu="basemap"] table:hover, .tool-menu[data-tool-menu="basemap"] table.active {
            font-weight: bold;
            background-color: #02365d;
            color: #fff;
        }

        .tool-menu[data-tool-menu="basemap"] table td {
            padding: 0 8px;
        }

        .tool-menu[data-tool-menu="basemap"] table tr:first-child td {
            padding-top: 8px;
        }

        .tool-menu[data-tool-menu="basemap"] table tr:last-child td {
            padding-bottom: 8px;
        }

    .tool-menu[data-tool-menu="search"] .results {
        margin-bottom: 4px;
    }

        .tool-menu[data-tool-menu="search"] .results div.search-result {
            padding: 2px;
            cursor: pointer;
        }

            .tool-menu[data-tool-menu="search"] .results div.search-result:hover, .tool-menu[data-tool-menu="search"] .results div.search-result:nth-child(even):hover {
                background-color: #02365d;
                color: #f9df74;
            }

            .tool-menu[data-tool-menu="search"] .results div.search-result:nth-child(even) {
                background-color: #ccc;
            }

        .tool-menu[data-tool-menu="search"] .results svg {
            height: 24px;
            vertical-align: bottom;
            fill: #02365d;
            stroke: #02365d;
            border-radius: 4px;
            cursor: pointer;
        }

            .tool-menu[data-tool-menu="search"] .results svg:hover {
                background-color: #02365d;
                fill: #f9df74;
                stroke: #f9df74;
            }

            .tool-menu[data-tool-menu="search"] .results svg.forward {
                transform: scaleX(-1);
            }

.pager-down, .pager-up {
    font-weight: bold;
    text-decoration: none;
}

.pri-bg-1 {
    background-color: #e60000;
}

.pri-bg-1A {
    background-color: #ff5500;
}

.pri-bg-2 {
    background-color: #55ff00;
}

.pri-bg-3 {
    background-color: #ffff00;
}

.pri-bg-4 {
    background-color: #0070ff;
}

.aqi-bg-6 {
    background-color: rgb(76, 0, 38);
    color: #fff;
}

.aqi-bg-5 {
    background-color: rgb(153, 0, 76);
    color: #fff;
}

.aqi-bg-4 {
    background-color: rgb(255, 0, 0);
}

.aqi-bg-3 {
    background-color: rgb(255, 126, 0);
}

.aqi-bg-2 {
    background-color: rgb(255, 255, 0);
}

.aqi-bg-1 {
    background-color: rgb(0, 228, 0);
}

.info-panel {
    height: 100%;
    background-color: #fff;
    padding: 0;
}

    .info-panel #toggle_more_filters {
        cursor: pointer;
    }

        .info-panel #toggle_more_filters:hover {
            background-color: #02365d;
            color: #ffffff;
        }

        .info-panel #toggle_more_filters svg {
            height: 1em;
        }

            .info-panel #toggle_more_filters svg.up {
                transform: rotate(-180deg);
            }

.info-data {
    position: relative;
}

    .info-data #loc_delete_confirm {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background-color: #fff2be;
        font-size: 2em;
        padding-top: 2em;
        text-align: center;
        box-sizing: border-box;
        display: none;
    }

        .info-data #loc_delete_confirm a {
            border: solid 0.15rem #02365d;
            border-radius: 0.3rem;
            padding: 0.5rem;
            font-weight: bold;
            color: #02365d;
            background-color: #f9df74;
            cursor: pointer;
            font-size: 0.5em;
            margin: 0 1em;
        }

            .info-data #loc_delete_confirm a:hover {
                background-color: #02365d;
                color: #f9df74;
            }

    .info-data #close_info {
        position: absolute;
        right: 0.3em;
        height: 2em;
        cursor: pointer;
        border-radius: 0.3em;
    }

        .info-data #close_info:hover {
            background-color: #000;
            fill: #fff;
        }

    .info-data tr:nth-child(odd) {
        background-color: #00000020;
    }

    .info-data [data-field="Latitude"], .info-data [data-field="Longitude"] {
        width: 40%;
    }

    .info-data .input.error {
        background-color: #b10000;
    }

.shake {
    animation: horizontal-shake 0.4s ease-in-out 6;
}

@keyframes horizontal-shake {
    0% {
        transform: translateX(0);
    }

    25% {
        transform: translateX(5px);
    }

    50% {
        transform: translateX(-5px);
    }

    75% {
        transform: translateX(5px);
    }

    100% {
        transform: translateX(0);
    }
}

#list_branch_header svg, #list_branch svg {
    height: 1em;
    cursor: pointer;
}

#list_branch_header svg {
    float: right;
}

#list_branch td {
    min-width: 2em;
    text-align: center;
}

    #list_branch td:nth-child(1) {
        width: 5em;
    }

    #list_branch td:nth-child(3) {
        width: 3em;
    }

    #list_branch td:nth-child(4) {
        width: 4em;
    }

    #list_branch td:nth-child(5) {
        width: 3em;
    }

.sort-arrow {
    fill: #808080;
}

    .sort-arrow.active {
        fill: #ffffff;
    }

    .sort-arrow.up {
        transform: rotate(180deg);
    }
/*
    .info-panel table {
        border-collapse: collapse;
    }

        .info-panel table td {
            padding-left: 4px;
        }

            .info-panel table td:first-child {
                font-weight: bold;
                vertical-align: top;
            }

        .info-panel table tr:nth-child(even) {
            background-color: #ccc;
        }

        .info-panel table td.share {
            text-align: center;
        }

            .info-panel table td.share .share-link {
                position: absolute;
                top: -1000px;
            }

        .info-panel table tr.status-copy {
            display: none;
            background-color: transparent;
            text-align: center;
            font-style: italic;
        }

            .info-panel table tr.status-copy.error {
                color: #d80000;
            }

            .info-panel table tr.status-copy td {
                padding-top: .8em;
            }

    .info-panel div.overflow-toggle {
        max-height: 54px;
        overflow-y: hidden;
        position: relative;
    }

        .info-panel div.overflow-toggle .toggler {
            display: none;
            background-color: #02365d;
            position: absolute;
            bottom: 1px;
            right: 1px;
            padding: 2px;
            border-radius: 5px;
            cursor: pointer;
            opacity: 0.7;
        }

            .info-panel div.overflow-toggle .toggler svg {
                width: 20px;
                fill: #fff;
                stroke: #fff;
                vertical-align: middle;
            }

        .info-panel div.overflow-toggle.overflowed .toggler {
            display: block;
        }

        .info-panel div.overflow-toggle.expanded .toggler svg {
            transform: scaleY(-1);
        }

        .info-panel div.overflow-toggle.expanded {
            max-height: none;
        }
*/

.filters-clear {
    float: right;
    background-color: #fff;
    padding: .2rem;
    border-radius: .2rem;
    text-decoration: none;
    color: #000;
}

    .filters-clear:hover {
        color: #fff;
        background-color: #222;
    }

#file_tools svg {
    height: 16px;
}

#tbl_files {
    width: 100%;
}

    #tbl_files tr:first-child {
        max-width: 60%;
    }

    #tbl_files svg {
        height: 24px;
        margin-top: -4px;
        fill: #000000;
        cursor: pointer;
    }

        #tbl_files svg:hover {
            background-color: #000000;
            fill: #ffffff;
        }

.group-uploads {
    min-height: 200px;
    border: 1px solid #000000;
}

    .group-uploads.dz-drag-hover {
        background-color: #24be06;
    }

.modal {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 80vw;
    height: 80vh;
    margin-top: -40vh;
    margin-left: -40vw;
    background-color: #fff2be;
    color: #02365d;
    font-size: 1.5rem;
    z-index: 100;
}

.modal-contents {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.modal-header {
    text-align: center;
    font-size: 2rem;
    padding: 0.25rem;
    background-color: #3da536;
    color: #f9df74;
    flex-grow: 0;
}

.modal-body {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding: 2rem;
    min-height: 0;
    position: relative;
}

    .modal-body .modal-progress {
        display: none;
        width: 100%;
        height: 100%;
        background-color: #00000080;
        position: absolute;
        top: 0;
        left: 0;
    }

.modal button {
    border: solid 0.15rem #02365d;
    border-radius: 0.3rem;
    padding: 0.5rem;
    font-weight: bold;
    color: #02365d;
    background-color: #f9df74;
    cursor: pointer;
}

    .modal button:hover {
        background-color: #02365d;
        color: #f9df74;
    }

.modal-header svg.close {
    height: 2rem;
    vertical-align: middle;
    fill: #f9df74;
    stroke: #f9df74;
    float: right;
    cursor: pointer;
    border-radius: 0.25rem;
}

    .modal-header svg.close:hover {
        background-color: #f9df74;
        fill: #02365d;
        stroke: #02365d;
    }

#new_email:invalid {
    background-color: #ff0000;
}

#tbl_manage_emails_header {
    background-color: #555555;
    margin: .5rem 0 0 0;
    color: #ffffff;
    /*    border: .1rem solid #ffffff;*/
}

    #tbl_manage_emails_header td {
        /*        border: .1rem solid #ffffff;*/
    }

        #tbl_manage_emails_header td:not(:last-child) {
            width: 30vw;
        }

#tbl_manage_emails td {
    padding: 0;
    position: relative;
}

    #tbl_manage_emails td:nth-child(3) {
        min-width: 5vw;
        padding-left: 1vw;
    }

#tbl_manage_emails input:not([type="checkbox"]) {
    width: 30vw;
}

.save-confirmation {
    position: absolute;
    right: .2em;
    top: 0.3em;
    background: green;
    color: white;
    font-size: .8em;
    height: 1em;
    width: 1em;
    text-align: center;
    border-radius: .1em;
}

#win_settings input {
    margin-bottom: 0.25rem;
}

.error-message {
    background-color: #ff8080;
    padding: 0.8rem;
    display: none;
}

input.warning {
    background-color: #ff8080;
}

.confirm-delete {
    position: absolute;
    top: 0;
    background: #f9df74;
    padding: 4px;
    border: #000 solid 1px;
    border-radius: 4px;
    display: none;
}

    .confirm-delete svg {
        height: 16px;
        cursor: pointer;
        padding: 1px;
        border-radius: 2px;
    }

        .confirm-delete svg.confirm {
            stroke: #24be06;
        }

            .confirm-delete svg.confirm:hover {
                background-color: #24be06;
                stroke: #fff;
                fill: #fff;
            }

        .confirm-delete svg.cancel {
            stroke: #d80000;
        }

            .confirm-delete svg.cancel:hover {
                background-color: #d80000;
                stroke: #fff;
                fill: #fff;
            }

#list_loading {
    text-align: center;
    padding-top: 1em;
}

#no_results {
    text-align: justify;
    position: relative;
    display: none;
}

    #no_results p {
        padding: 0 1em;
    }

/******** LOADING SPINNER ********/

.lds-ring {
    display: inline-block;
    position: relative;
    width: 3em;
    height: 3em;
    vertical-align: middle;
}

    .lds-ring.center {
        position: absolute;
        left: 50%;
        margin-left: -0.5em;
    }

    .lds-ring.small {
        width: 0.375em;
    }

        .lds-ring.small.center {
            margin-left: -0.1875em;
        }

    .lds-ring div {
        box-sizing: border-box;
        display: block;
        position: absolute;
        width: 3em;
        height: 3em;
        /*margin: 0.09em;*/
        border: 0.4em solid #02365d;
        border-radius: 50%;
        animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
        border-color: #02365d transparent transparent transparent;
    }

    .lds-ring.white div {
        border-color: #ffffff transparent transparent transparent;
    }

    .lds-ring.small div {
        width: 0.3em;
        height: 0.3em;
        margin: 0.0625em;
        border-width: 0.0625em;
    }

    .lds-ring div:nth-child(1) {
        animation-delay: -0.45s;
    }

    .lds-ring div:nth-child(2) {
        animation-delay: -0.3s;
    }

    .lds-ring div:nth-child(3) {
        animation-delay: -0.15s;
    }

@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/******** DOJO/ESRI OVERRIDES ********/

.dijitTooltipContainer {
    background-color: #f9df74;
    color: #02365d;
    border: #02365d solid 1px;
    border-radius: 3px;
    font-family: Oswald;
    font-size: 1.2em;
    padding: 2px 4px;
}

.esriPopup .contentPane table {
    border-collapse: collapse;
}

    .esriPopup .contentPane table tr:nth-child(even) {
        background-color: #ccc;
    }

    .esriPopup .contentPane table td {
        vertical-align: top;
        padding: 2px;
    }
